Xeonr Developer Docs
API SpecificationIntegration Admin

List integration targets

POST
/uplim.api.v1.IntegrationAdminService/ListIntegrationTargets

Lists OAuth clients the user has access to, along with their integration status. Optionally filter by application slug.

Authorization

OAuth2 upl:private
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:private

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

applicationSlug?string|null

Optional filter: only return clients belonging to the app with this slug.

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/ListIntegrationTargets" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "targets": [
    {
      "clientId": "string",
      "name": "string",
      "websiteUrl": "string",
      "logoUrl": "string",
      "hasIntegration": true,
      "integration": {
        "integrationId": "string",
        "oauthClientId": "string",
        "oauthApplicationId": "6e68418e-eaad-4fd1-af9d-e9521eee4cbc",
        "name": "string",
        "apiKeyEnabled": true,
        "scoping": "string",
        "contentTypes": [
          {
            "id": "string",
            "integrationId": "string",
            "criteria": {
              "kinds": [
                "CONTENT_TARGET_KIND_UNSPECIFIED"
              ],
              "filenamePattern": "string"
            },
            "renderer": {
              "enabled": true,
              "archiveUploadId": "0f00a816-1fc2-4597-bbce-ea7af713750b",
              "entryPath": "string"
            },
            "thumbnailParser": {
              "enabled": true,
              "poolId": "d038cb61-929c-440e-b3d3-abb22c5538f5"
            },
            "openWith": {
              "enabled": true,
              "callbackUrl": "http://example.com"
            },
            "priority": 0,
            "createdAt": "2023-01-15T01:30:15.01Z",
            "updatedAt": "2023-01-15T01:30:15.01Z"
          }
        ],
        "defaultBucketTypeId": "9b1c8916-4239-4e84-b4d2-0740320b30d9",
        "newFiles": [
          {
            "id": "string",
            "integrationId": "string",
            "name": "string",
            "extension": "string",
            "creationType": "NEW_FILE_CREATION_TYPE_UNSPECIFIED",
            "defaultContent": {
              "multiple": {
                "files": {
                  "property1": {
                    "stringContent": "string"
                  },
                  "property2": {
                    "stringContent": "string"
                  }
                }
              }
            },
            "createdAt": "2023-01-15T01:30:15.01Z",
            "updatedAt": "2023-01-15T01:30:15.01Z"
          }
        ],
        "thumbnailPools": [
          {
            "id": "string",
            "integrationId": "string",
            "name": "string",
            "token": "string",
            "createdAt": "2023-01-15T01:30:15.01Z",
            "updatedAt": "2023-01-15T01:30:15.01Z"
          }
        ],
        "folderBehavior": "INTEGRATION_FOLDER_BEHAVIOR_UNSPECIFIED",
        "folderLinkUrl": "http://example.com",
        "createdAt": "2023-01-15T01:30:15.01Z",
        "updatedAt": "2023-01-15T01:30:15.01Z"
      },
      "applicationId": "string",
      "applicationName": "string",
      "applicationSlug": "string"
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}